# QSqlError Class Reference

### [com.trolltech.qt.sql package]

### Constructor

- void QSqlError(QSqlError other)
- void QSqlError(String driverText, String databaseText, ErrorType type, int number)

### Constructor Properties

- prototype: The QSqlError prototype object
- NoError
- ConnectionError
- StatementError
- TransactionError
- UnknownError
- ErrorType( value )

### Prototype Object Properties

- String databaseText()
- String driverText()
- bool isValid()
- int number()
- void setDatabaseText(String databaseText)
- void setDriverText(String driverText)
- void setNumber(int number)
- void setType(ErrorType type)
- String text()
- ErrorType type()

### Instance Properties

QSqlError objects have no special properties beyond those inherited from the QSqlError prototype object.